
Redmine - Defect #14127

Email not working with HTML format from Outlook

2013-05-22 21:49 - John W

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 2.3.0

Description

I have been testing the incoming email feature using Outlook.  Clicking "new" email the message has the following in the title bar

"Untitled - Message (HTML)".  Setting any fields - priority, status, custom field(s) etc are ignored.  Here one example of what is

captured in the description "I have an issue Priority: Critical Hello World 17 =".

Note the attempt to set priority to critical.

The issue is created but the priority is set to "normal".

Now if I create a new email message via "Actions -> New Email Message Using -> Plain Text" and repeat the input as above the

fields are parsed as expected.

Does anyone know what needs to be done so that an HTML email message can be parsed correctly?  I can't expect my users to

create and email as Plain Text.

Thanks in advance for any and all help

History

#1 - 2013-05-30 19:22 - Jan Niggemann (redmine.org team member)

- Status changed from New to Needs feedback

I would not say that this is a defect in redmine, I'd rather argue that email was conceived for unformatted text messages and sending mails as

something else is the problem... but then again, perhaps I'm just getting old ;-)

From RedmineReceivingEmails

Email format and attachments

Redmine tries to use the plain text part of the email to fill the description of the issue.

If a HTML-only email is received, HTML tags are removed from its body.

Email attachments are automatically attached to the issue, unless their size exceeds the maximum attachment size defined in the application settings.

Look into the log and post the part redmine imports into the ticket.

Or, better yet, stop sending HTML email :-)

#2 - 2013-09-19 16:21 - Deoren Moor

John W wrote:

I have been testing the incoming email feature using Outlook.  Clicking "new" email the message has the following in the title bar "Untitled -

Message (HTML)".  Setting any fields - priority, status, custom field(s) etc are ignored.

 I'm not sure, but perhaps your problem is related to the one I'm experiencing on #14491. I too have been unable to set priority & status, but other

fields like project and category are set fine via email. I've also tried setting the Due Date (via due_date), but haven't had any luck with that.

The example bash script I listed on #14491:

#!/bin/bash

# Purpose:   Fetch emails and import into Redmine

# Reference: http://www.redmine.org/projects/redmine/wiki/RedmineReceivingEmails
cd /opt/redmine

sudo -u www-data bundle exec rake -f /opt/redmine/Rakefile redmine:email:receive_imap \

    RAILS_ENV="development" \

    host=mail.example.com username=support@example.com password=PASSWORD \

    move_on_success=accepted_emails move_on_failure=rejected_emails \

    project=unassigned category=unassigned tracker=support \

    no_permission_check=1 unknown_user=accept port=993 ssl=1 \

    allow_override=project,tracker,status,priority,category,assigned_to,\

    fixed_version,start_date,due_date,estimated_hours,\

    done_ratio > /dev/null 2>&1

#3 - 2015-08-23 17:15 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

#4 - 2015-09-11 09:13 - Toshi MARUYAMA

FTR: html mail handling was improved by #16962.
